above(3pm)

NAME
above - auto "use lib" when a module is in the tree of the PWD

SYNOPSIS
use above "My::Module";

DESCRIPTION
Used by the command-line wrappers for Command modules which are developer tools.

Do NOT use this in modules, or user applications.

Uses a module as though the cwd and each of its parent directories were at the beginnig of @INC. If found in that path, the parent directory is kept as though by "use lib".

EXAMPLES
# given /home/me/perlsrc/My/Module.pm

# in /home/me/perlsrc/My/Module/Some/Path/

# in myapp.pl: use above "My::Module";

# does this ..if run anywhere under /home/me/perlsrc: use lib '/home/me/perlsrc/' use My::Module;

AUTHOR
Scott Smith